### Class

# Eog Transform

#### Description

    class Eog.Transform : GObject.Object {
      parent: GObject,
      priv: EogTransformPrivate*
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### eog_transform_flip_new

No description available.

###### eog_transform_identity_new

No description available.

###### eog_transform_new

No description available.

###### eog_transform_rotate_new

No description available.

#### Instance methods

###### eog_transform_apply

Applies the transformation in `trans` to `pixbuf`, setting its progress in `job`.

###### eog_transform_compose

No description available.

###### eog_transform_get_affine

No description available.

###### eog_transform_get_transform_type

No description available.

###### eog_transform_is_identity

No description available.

###### eog_transform_reverse

Creates the reverse transformation of `trans`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EogTransformClass {
      GObjectClass parent_klass;

    }

No description available.

###### Class members

`parent_klass: GObjectClass`
  No description available.